# Long-poll a prompt created by this token until it is answered

GET /api/agent/interactions/{id}/wait. Required scopes: interactions:read.

HTML: https://notify.belweave.ai/docs/api/getInteractionsIdWait

Required scopes: `interactions:read`

```http
GET /api/agent/interactions/{id}/wait
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Long-poll a prompt created by this token until it is answered",
  "operationId": "getInteractionsIdWait",
  "security": [
    {
      "bearer": [
        "interactions:read"
      ]
    }
  ],
  "x-notify-scopes": [
    "interactions:read"
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    },
    {
      "name": "timeout",
      "in": "query",
      "schema": {
        "type": "number",
        "minimum": 0,
        "maximum": 25
      },
      "required": false
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "interaction": {
                "$ref": "#/components/schemas/Interaction"
              },
              "timedOut": {
                "type": "boolean"
              }
            },
            "required": [
              "interaction",
              "timedOut"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
